<!DOCTYPE html>
<html lang="en">

<head>
    <title>Home</title>
</head>

<body>
    <header>
        <nav>
            {% if user.is_authenticated %}
            Hello, {{ user.username }}
            <ul>
                <li>
                    <a href="{%url 'logout' %}">logout!</a>
                </li>
            </ul>
            {% else %}
            <ul>
                <li>
                    <a href="{% url 'login' %}"> Login!</a>
                </li>
                <li>
                    <a href="{% url 'signup' %}">Sign Up!</a>
                </li>
            </ul>
            {% endif %}
            {% if user.is_authenticated %}
            <ul>
                <li>
                    <a href="{% url 'home' %}">Home</a>
                </li>
                <li>
                    <a href="{% url 'categories' %}">Categories</a>
                </li>
                <li>
                    <a href="{% url 'accounts' %}">Accounts</a>
                </li>
            </ul>
            {% endif %}
        </nav>
    </header>
    <main>
        {% if user.is_authenticated %}
        <h1>My Receipts</h1>
        <table>
            <thead>
                <tr>
                    <th>Vendor</th>
                    <th>Total</th>
                    <th>Tax</th>
                    <th>Date</th>
                    <th>Category</th>
                    <th>Account</th>
                </tr>
            </thead>
            <tbody>
                {% for i in receipt_list %}
                <tr>
                    <td>{{ i.vendor }}</td>
                    <td>{{ i.total }}</td>
                    <td>{{ i.tax }}</td>
                    <td>{{ i.date|date:"n/j/y" }}</td>
                    <td>{{ i.category.name }}</td>
                    <td>{{ i.account.name }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {%else%}
        <h1>Sign up or Login in to see your receipts</h1>
        {% endif %}
    </main>
</body>

</html>
